Download it now!
Bug 64237 - Crash when scrolling in the text of a particular ODT file
Summary: Crash when scrolling in the text of a particular ODT file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Arnaud Versini
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-05 14:52 UTC by Jean-Baptiste Faure
Modified: 2013-05-13 11:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc which crashes the master (403.60 KB, application/vnd.oasis.opendocument.text)
2013-05-05 14:52 UTC, Jean-Baptiste Faure
Details
backtrace (19.14 KB, text/plain)
2013-05-05 15:02 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2013-05-05 14:52:00 UTC
Created attachment 78878 [details]
bugdoc which crashes the master

Open the attached bugdoc with the master (for me : Version: 4.1.0.0.alpha0+
Build ID: 19fe3be985a0d13c9818f920cb8e540ff658425 build on Ubuntu 12.04 x86-64)
It opens around page 17. 
Then scroll up with the scrollbar. 
At a moment LO freezes. If you can look at memory consumption you can see that LO is eating all the available RAM and swap. At the end it crashes.
To not have to wait too long, I launched LO in a terminal after the following command:
ulimit -S -v 3000000
(my PC has 4 GB of RAM) and with the option --backtrace. I will attach the gbdtrace.log I have got.

Best regards. JBF
Comment 1 Julien Nabet 2013-05-05 15:00:02 UTC
Comment on attachment 78878 [details]
bugdoc which crashes the master

Mimetype fixed
Comment 2 Jean-Baptiste Faure 2013-05-05 15:02:36 UTC
Created attachment 78879 [details]
backtrace

backtrace of the crash
Comment 3 Julien Nabet 2013-05-05 15:21:11 UTC
I noticed this console log repeated a lot:
warn:legacy.osl:7269:1:sw/source/core/text/guess.cxx:497: Somebody, somebody, somebody put something in my string

I put it at New since there's a bt.
Comment 4 Arnaud Versini 2013-05-05 16:03:01 UTC
Julien, I have this patch for this problem (the trace), remove few traces but not all and seems better, but I prefere Miklos have a look before.
Comment 5 Arnaud Versini 2013-05-05 16:03:20 UTC
Sorry, forgotten the gerrit id :
https://gerrit.libreoffice.org/#/c/3783/
Comment 6 Julien Nabet 2013-05-05 16:06:43 UTC
Arnaud: great! So let's wait for Miklos' answer:-) Perhaps both (trace + crash) are linked?
Comment 7 Arnaud Versini 2013-05-11 17:02:22 UTC
Thanks to jbfaure.

We think this is due to commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1a909f15536633ad58cb66514419ef290462614 .
Comment 8 Commit Notification 2013-05-13 07:56:07 UTC
Arnaud Versini committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e631a099bf354fe306e2035878ecb90f50ca5d2

Fixes fdo#64237 by modifying the underlyning string



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Miklos Vajna 2013-05-13 10:20:16 UTC
Marking as resolved, the bug was master-only. Thanks for the fix! :-)
Comment 10 Jean-Baptiste Faure 2013-05-13 11:03:16 UTC
Verified with Version: 4.1.0.0.alpha1+ Build ID: ef8a4af30a3261d92311c7c76af9cb9b123d7a5 with both the bugdoc and the original not anonymized document. Works fine.

Best regards. JBF